<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>


	<?php if( !class_exists( 'OVACRS' ) ){ ?>
		<div class="woo-wrapper"><div class="container">
	<?php } ?>
	
	<?php
		/**
		 * woocommerce_before_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		
		/* Customize */
		remove_action( 'woocommerce_before_main_content','woocommerce_breadcrumb', 20 );
		/* /Customize */

		do_action( 'woocommerce_before_main_content' );
	?>

		<?php while ( have_posts() ) : the_post(); 

			global $product;

			$is_produc_type = $product->is_type('ovacrs_car_rental') ? true : false ;

			if( $is_produc_type ){
				$rd_style = isset( $_GET['rd_style'] ) ? $_GET['rd_style'] : get_theme_mod( 'rd_style', 'single-product' );
				wc_get_template_part( 'hotel/content', $rd_style ); 	
			}else{
				wc_get_template_part( 'content', 'single-product' ); 
			}
			

		endwhile; // end of the loop. ?>

	<?php
		/**
		 * woocommerce_after_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action( 'woocommerce_after_main_content' );
	?>
	<?php if( !class_exists( 'OVACRS' ) ){ ?>
		</div></div>
	<?php } ?>
	
<?php get_footer( 'shop' ); ?>